package org.springblade.estate.feign;

import org.springblade.estate.entity.Assets;
import org.springblade.estate.vo.AssetsVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class AssetsClientFallback implements IAssetsClient {
            /**
         * 详情
         */
        @Override
        public AssetsVO detail(Assets assets) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<AssetsVO> list(Assets assets) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Assets assets) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Assets assets) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Assets assets) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
